# pylint: disable=too-many-lines
# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AdministratorListResult,
    Advisor,
    AdvisorAutoGenerated,
    AutoPauseDelayTimeRange,
    AutomaticTuningOptions,
    AutomaticTuningServerOptions,
    AzureADOnlyAuthListResult,
    BackupShortTermRetentionPolicy,
    BackupShortTermRetentionPolicyListResult,
    Baseline,
    BaselineAdjustedResult,
    BenchmarkReference,
    CertificateInfo,
    ChangeLongTermRetentionBackupAccessTierParameters,
    CheckNameAvailabilityRequest,
    CheckNameAvailabilityResponse,
    CompleteDatabaseRestoreDefinition,
    CopyLongTermRetentionBackupParameters,
    CreateDatabaseRestorePointDefinition,
    DataMaskingPolicy,
    DataMaskingRule,
    DataMaskingRuleListResult,
    DataWarehouseUserActivities,
    DataWarehouseUserActivitiesListResult,
    Database,
    DatabaseAdvancedThreatProtection,
    DatabaseAdvancedThreatProtectionListResult,
    DatabaseAutomaticTuning,
    DatabaseBlobAuditingPolicy,
    DatabaseBlobAuditingPolicyListResult,
    DatabaseColumn,
    DatabaseColumnListResult,
    DatabaseExtensions,
    DatabaseIdentity,
    DatabaseKey,
    DatabaseListResult,
    DatabaseOperation,
    DatabaseOperationListResult,
    DatabaseSchema,
    DatabaseSchemaListResult,
    DatabaseSecurityAlertListResult,
    DatabaseSecurityAlertPolicy,
    DatabaseSqlVulnerabilityAssessmentBaselineSet,
    DatabaseSqlVulnerabilityAssessmentBaselineSetListResult,
    DatabaseSqlVulnerabilityAssessmentRuleBaseline,
    DatabaseSqlVulnerabilityAssessmentRuleBaselineInput,
    DatabaseSqlVulnerabilityAssessmentRuleBaselineListInput,
    DatabaseSqlVulnerabilityAssessmentRuleBaselineListResult,
    DatabaseTable,
    DatabaseTableListResult,
    DatabaseUpdate,
    DatabaseUsage,
    DatabaseUsageListResult,
    DatabaseUserIdentity,
    DatabaseVulnerabilityAssessment,
    DatabaseVulnerabilityAssessmentListResult,
    DatabaseVulnerabilityAssessmentRuleBaseline,
    DatabaseVulnerabilityAssessmentRuleBaselineItem,
    DatabaseVulnerabilityAssessmentScansExport,
    DeletedServer,
    DeletedServerListResult,
    DistributedAvailabilityGroup,
    DistributedAvailabilityGroupDatabase,
    DistributedAvailabilityGroupSetRole,
    DistributedAvailabilityGroupsFailoverRequest,
    DistributedAvailabilityGroupsListResult,
    EditionCapability,
    ElasticPool,
    ElasticPoolEditionCapability,
    ElasticPoolListResult,
    ElasticPoolOperation,
    ElasticPoolOperationListResult,
    ElasticPoolPerDatabaseMaxPerformanceLevelCapability,
    ElasticPoolPerDatabaseMinPerformanceLevelCapability,
    ElasticPoolPerDatabaseSettings,
    ElasticPoolPerformanceLevelCapability,
    ElasticPoolUpdate,
    EncryptionProtector,
    EncryptionProtectorListResult,
    EndpointCertificate,
    EndpointCertificateListResult,
    EndpointDependency,
    EndpointDetail,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    ExportDatabaseDefinition,
    ExtendedDatabaseBlobAuditingPolicy,
    ExtendedDatabaseBlobAuditingPolicyListResult,
    ExtendedServerBlobAuditingPolicy,
    ExtendedServerBlobAuditingPolicyListResult,
    FailoverGroup,
    FailoverGroupListResult,
    FailoverGroupReadOnlyEndpoint,
    FailoverGroupReadWriteEndpoint,
    FailoverGroupUpdate,
    FirewallRule,
    FirewallRuleList,
    FirewallRuleListResult,
    FreeLimitExhaustionBehaviorCapability,
    GeoBackupPolicy,
    GeoBackupPolicyListResult,
    IPv6FirewallRule,
    IPv6FirewallRuleListResult,
    ImportExistingDatabaseDefinition,
    ImportExportExtensionsOperationListResult,
    ImportExportExtensionsOperationResult,
    ImportExportOperationResult,
    ImportNewDatabaseDefinition,
    InstanceFailoverGroup,
    InstanceFailoverGroupListResult,
    InstanceFailoverGroupReadOnlyEndpoint,
    InstanceFailoverGroupReadWriteEndpoint,
    InstancePool,
    InstancePoolEditionCapability,
    InstancePoolFamilyCapability,
    InstancePoolListResult,
    InstancePoolOperation,
    InstancePoolOperationListResult,
    InstancePoolUpdate,
    InstancePoolVcoresCapability,
    Job,
    JobAgent,
    JobAgentEditionCapability,
    JobAgentIdentity,
    JobAgentListResult,
    JobAgentServiceLevelObjectiveCapability,
    JobAgentUpdate,
    JobAgentUserAssignedIdentity,
    JobAgentVersionCapability,
    JobCredential,
    JobCredentialListResult,
    JobExecution,
    JobExecutionListResult,
    JobExecutionTarget,
    JobListResult,
    JobPrivateEndpoint,
    JobPrivateEndpointListResult,
    JobSchedule,
    JobStep,
    JobStepAction,
    JobStepExecutionOptions,
    JobStepListResult,
    JobStepOutput,
    JobTarget,
    JobTargetGroup,
    JobTargetGroupListResult,
    JobVersion,
    JobVersionListResult,
    LedgerDigestUploads,
    LedgerDigestUploadsListResult,
    LicenseTypeCapability,
    LocationCapabilities,
    LogSizeCapability,
    LogicalDatabaseTransparentDataEncryption,
    LogicalDatabaseTransparentDataEncryptionListResult,
    LogicalServerAdvancedThreatProtectionListResult,
    LogicalServerSecurityAlertPolicyListResult,
    LongTermRetentionBackup,
    LongTermRetentionBackupListResult,
    LongTermRetentionBackupOperationResult,
    LongTermRetentionPolicy,
    LongTermRetentionPolicyListResult,
    MaintenanceConfigurationCapability,
    MaintenanceWindowOptions,
    MaintenanceWindowTimeRange,
    MaintenanceWindows,
    ManagedBackupShortTermRetentionPolicy,
    ManagedBackupShortTermRetentionPolicyListResult,
    ManagedDatabase,
    ManagedDatabaseAdvancedThreatProtection,
    ManagedDatabaseAdvancedThreatProtectionListResult,
    ManagedDatabaseListResult,
    ManagedDatabaseMoveDefinition,
    ManagedDatabaseMoveOperationListResult,
    ManagedDatabaseMoveOperationResult,
    ManagedDatabaseRestoreDetailsBackupSetProperties,
    ManagedDatabaseRestoreDetailsResult,
    ManagedDatabaseRestoreDetailsUnrestorableFileProperties,
    ManagedDatabaseSecurityAlertPolicy,
    ManagedDatabaseSecurityAlertPolicyListResult,
    ManagedDatabaseStartMoveDefinition,
    ManagedDatabaseUpdate,
    ManagedInstance,
    ManagedInstanceAdministrator,
    ManagedInstanceAdministratorListResult,
    ManagedInstanceAdvancedThreatProtection,
    ManagedInstanceAdvancedThreatProtectionListResult,
    ManagedInstanceAzureADOnlyAuthListResult,
    ManagedInstanceAzureADOnlyAuthentication,
    ManagedInstanceDtc,
    ManagedInstanceDtcListResult,
    ManagedInstanceDtcSecuritySettings,
    ManagedInstanceDtcTransactionManagerCommunicationSettings,
    ManagedInstanceEditionCapability,
    ManagedInstanceEncryptionProtector,
    ManagedInstanceEncryptionProtectorListResult,
    ManagedInstanceExternalAdministrator,
    ManagedInstanceFamilyCapability,
    ManagedInstanceKey,
    ManagedInstanceKeyListResult,
    ManagedInstanceListResult,
    ManagedInstanceLongTermRetentionBackup,
    ManagedInstanceLongTermRetentionBackupListResult,
    ManagedInstanceLongTermRetentionPolicy,
    ManagedInstanceLongTermRetentionPolicyListResult,
    ManagedInstanceMaintenanceConfigurationCapability,
    ManagedInstanceOperation,
    ManagedInstanceOperationListResult,
    ManagedInstanceOperationParametersPair,
    ManagedInstanceOperationSteps,
    ManagedInstancePairInfo,
    ManagedInstancePecProperty,
    ManagedInstancePrivateEndpointConnection,
    ManagedInstancePrivateEndpointConnectionListResult,
    ManagedInstancePrivateEndpointConnectionProperties,
    ManagedInstancePrivateEndpointProperty,
    ManagedInstancePrivateLink,
    ManagedInstancePrivateLinkListResult,
    ManagedInstancePrivateLinkProperties,
    ManagedInstancePrivateLinkServiceConnectionStateProperty,
    ManagedInstanceQuery,
    ManagedInstanceQueryStatistics,
    ManagedInstanceUpdate,
    ManagedInstanceVcoresCapability,
    ManagedInstanceVersionCapability,
    ManagedInstanceVulnerabilityAssessment,
    ManagedInstanceVulnerabilityAssessmentListResult,
    ManagedLedgerDigestUploads,
    ManagedLedgerDigestUploadsListResult,
    ManagedServerDnsAlias,
    ManagedServerDnsAliasAcquisition,
    ManagedServerDnsAliasCreation,
    ManagedServerDnsAliasListResult,
    ManagedServerSecurityAlertPolicy,
    ManagedServerSecurityAlertPolicyListResult,
    ManagedTransparentDataEncryption,
    ManagedTransparentDataEncryptionListResult,
    MaxLimitRangeCapability,
    MaxSizeCapability,
    MaxSizeRangeCapability,
    MinCapacityCapability,
    NSPConfigAccessRule,
    NSPConfigAccessRuleProperties,
    NSPConfigAssociation,
    NSPConfigNetworkSecurityPerimeterRule,
    NSPConfigPerimeter,
    NSPConfigProfile,
    NSPProvisioningIssue,
    NSPProvisioningIssueProperties,
    Name,
    NetworkIsolationSettings,
    NetworkSecurityPerimeterConfiguration,
    NetworkSecurityPerimeterConfigurationListResult,
    Operation,
    OperationDisplay,
    OperationListResult,
    OutboundEnvironmentEndpoint,
    OutboundEnvironmentEndpointCollection,
    OutboundFirewallRule,
    OutboundFirewallRuleListResult,
    PartnerInfo,
    PartnerRegionInfo,
    PerDatabaseAutoPauseDelayTimeRange,
    PerformanceLevelCapability,
    PhaseDetails,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateEndpointConnectionProperties,
    PrivateEndpointConnectionRequestStatus,
    PrivateEndpointProperty,
    PrivateLinkResource,
    PrivateLinkResourceListResult,
    PrivateLinkResourceProperties,
    PrivateLinkServiceConnectionStateProperty,
    ProxyResource,
    ProxyResourceWithWritableName,
    QueryCheck,
    QueryMetricInterval,
    QueryMetricProperties,
    QueryStatistics,
    QueryStatisticsProperties,
    ReadScaleCapability,
    RecommendedAction,
    RecommendedActionAutoGenerated,
    RecommendedActionErrorInfo,
    RecommendedActionImpactRecord,
    RecommendedActionImplementationInfo,
    RecommendedActionMetricInfo,
    RecommendedActionStateInfo,
    RecommendedSensitivityLabelUpdate,
    RecommendedSensitivityLabelUpdateList,
    RecoverableDatabase,
    RecoverableDatabaseListResult,
    RecoverableManagedDatabase,
    RecoverableManagedDatabaseListResult,
    RefreshExternalGovernanceStatusOperationResult,
    RefreshExternalGovernanceStatusOperationResultMI,
    Remediation,
    ReplicationLink,
    ReplicationLinkListResult,
    ReplicationLinkUpdate,
    Resource,
    ResourceIdentity,
    ResourceMoveDefinition,
    ResourceWithWritableName,
    RestorableDroppedDatabase,
    RestorableDroppedDatabaseListResult,
    RestorableDroppedManagedDatabase,
    RestorableDroppedManagedDatabaseListResult,
    RestorePoint,
    RestorePointListResult,
    SQLVulnerabilityAssessmentScanListResult,
    ScheduleItem,
    SecurityEvent,
    SecurityEventCollection,
    SecurityEventSqlInjectionAdditionalProperties,
    SecurityEventsFilterParameters,
    SensitivityLabel,
    SensitivityLabelListResult,
    SensitivityLabelUpdate,
    SensitivityLabelUpdateList,
    Server,
    ServerAdvancedThreatProtection,
    ServerAutomaticTuning,
    ServerAzureADAdministrator,
    ServerAzureADOnlyAuthentication,
    ServerBlobAuditingPolicy,
    ServerBlobAuditingPolicyListResult,
    ServerConfigurationOption,
    ServerConfigurationOptionListResult,
    ServerConnectionPolicy,
    ServerConnectionPolicyListResult,
    ServerDevOpsAuditSettingsListResult,
    ServerDevOpsAuditingSettings,
    ServerDnsAlias,
    ServerDnsAliasAcquisition,
    ServerDnsAliasListResult,
    ServerExternalAdministrator,
    ServerInfo,
    ServerKey,
    ServerKeyListResult,
    ServerListResult,
    ServerOperation,
    ServerOperationListResult,
    ServerPrivateEndpointConnection,
    ServerSecurityAlertPolicy,
    ServerTrustCertificate,
    ServerTrustCertificatesListResult,
    ServerTrustGroup,
    ServerTrustGroupListResult,
    ServerUpdate,
    ServerUsage,
    ServerUsageListResult,
    ServerVersionCapability,
    ServerVulnerabilityAssessment,
    ServerVulnerabilityAssessmentListResult,
    ServiceObjectiveCapability,
    ServicePrincipal,
    Sku,
    SqlAgentConfiguration,
    SqlVulnerabilityAssessment,
    SqlVulnerabilityAssessmentListResult,
    SqlVulnerabilityAssessmentScanError,
    SqlVulnerabilityAssessmentScanRecord,
    SqlVulnerabilityAssessmentScanRecordListResult,
    SqlVulnerabilityAssessmentScanResults,
    StartStopManagedInstanceSchedule,
    StartStopManagedInstanceScheduleListResult,
    StorageCapability,
    SubscriptionUsage,
    SubscriptionUsageListResult,
    SynapseLinkWorkspace,
    SynapseLinkWorkspaceInfoProperties,
    SynapseLinkWorkspaceListResult,
    SyncAgent,
    SyncAgentKeyProperties,
    SyncAgentLinkedDatabase,
    SyncAgentLinkedDatabaseListResult,
    SyncAgentListResult,
    SyncDatabaseIdListResult,
    SyncDatabaseIdProperties,
    SyncFullSchemaProperties,
    SyncFullSchemaPropertiesListResult,
    SyncFullSchemaTable,
    SyncFullSchemaTableColumn,
    SyncGroup,
    SyncGroupListResult,
    SyncGroupLogListResult,
    SyncGroupLogProperties,
    SyncGroupSchema,
    SyncGroupSchemaTable,
    SyncGroupSchemaTableColumn,
    SyncMember,
    SyncMemberListResult,
    SystemData,
    TdeCertificate,
    TimeZone,
    TimeZoneListResult,
    TopQueries,
    TopQueriesListResult,
    TrackedResource,
    UpdateLongTermRetentionBackupParameters,
    UpdateVirtualClusterDnsServersOperation,
    UpsertManagedServerOperationParameters,
    UpsertManagedServerOperationStepWithEstimatesAndDuration,
    Usage,
    UsageListResult,
    UserIdentity,
    VaRule,
    VirtualCluster,
    VirtualClusterListResult,
    VirtualClusterUpdate,
    VirtualNetworkRule,
    VirtualNetworkRuleListResult,
    VulnerabilityAssessmentRecurringScansProperties,
    VulnerabilityAssessmentScanError,
    VulnerabilityAssessmentScanRecord,
    VulnerabilityAssessmentScanRecordListResult,
    WorkloadClassifier,
    WorkloadClassifierListResult,
    WorkloadGroup,
    WorkloadGroupListResult,
    ZonePinningCapability,
)

from ._sql_management_client_enums import (  # type: ignore
    AdministratorName,
    AdministratorType,
    AdvancedThreatProtectionName,
    AdvancedThreatProtectionState,
    AdvisorStatus,
    AggregationFunctionType,
    AlwaysEncryptedEnclaveType,
    AuthMetadataLookupModes,
    AuthenticationName,
    AutoExecuteStatus,
    AutoExecuteStatusInheritedFrom,
    AutomaticTuningDisabledReason,
    AutomaticTuningMode,
    AutomaticTuningOptionModeActual,
    AutomaticTuningOptionModeDesired,
    AutomaticTuningServerMode,
    AutomaticTuningServerReason,
    AvailabilityZoneType,
    BackupStorageAccessTier,
    BackupStorageRedundancy,
    BaselineName,
    BlobAuditingPolicyState,
    CapabilityGroup,
    CapabilityStatus,
    CatalogCollationType,
    CheckNameAvailabilityReason,
    ClientClassificationSource,
    ColumnDataType,
    ConnectionPolicyName,
    CreateMode,
    CreatedByType,
    DNSRefreshOperationStatus,
    DataMaskingFunction,
    DataMaskingPolicyName,
    DataMaskingRuleState,
    DataMaskingState,
    DataWarehouseUserActivityName,
    DatabaseIdentityType,
    DatabaseKeyType,
    DatabaseLicenseType,
    DatabaseReadScale,
    DatabaseState,
    DatabaseStatus,
    DayOfWeek,
    DevOpsAuditingSettingsName,
    DiffBackupIntervalInHours,
    DtcName,
    ElasticPoolLicenseType,
    ElasticPoolState,
    EncryptionProtectorName,
    ErrorType,
    ExternalGovernanceStatus,
    FailoverGroupDatabasesSecondaryType,
    FailoverGroupReplicationRole,
    FailoverModeType,
    FailoverType,
    FreeLimitExhaustionBehavior,
    GeoBackupPolicyName,
    GeoBackupPolicyState,
    HybridSecondaryUsage,
    HybridSecondaryUsageDetected,
    IdentityType,
    ImplementationMethod,
    InstanceFailoverGroupReplicationRole,
    InstancePoolLicenseType,
    InstanceRole,
    IsRetryable,
    JobAgentIdentityType,
    JobAgentState,
    JobExecutionLifecycle,
    JobScheduleType,
    JobStepActionSource,
    JobStepActionType,
    JobStepOutputType,
    JobTargetGroupMembershipType,
    JobTargetType,
    LedgerDigestUploadsName,
    LedgerDigestUploadsState,
    LinkRole,
    LogSizeUnit,
    LongTermRetentionPolicyName,
    ManagedDatabaseCreateMode,
    ManagedDatabaseStatus,
    ManagedInstanceAdministratorType,
    ManagedInstanceDatabaseFormat,
    ManagedInstanceLicenseType,
    ManagedInstanceLongTermRetentionPolicyName,
    ManagedInstanceProxyOverride,
    ManagedLedgerDigestUploadsName,
    ManagedLedgerDigestUploadsState,
    ManagedServerCreateMode,
    ManagedShortTermRetentionPolicyName,
    ManagementOperationState,
    ManagementOperationStepState,
    MaxSizeUnit,
    MetricType,
    MinimalTlsVersion,
    MoveOperationMode,
    OperationMode,
    OperationOrigin,
    PauseDelayTimeUnit,
    PerformanceLevelUnit,
    Phase,
    PricingModel,
    PrincipalType,
    PrivateEndpointProvisioningState,
    PrivateLinkServiceConnectionStateActionsRequire,
    PrivateLinkServiceConnectionStateStatus,
    ProvisioningState,
    QueryMetricUnitType,
    QueryTimeGrainType,
    ReadOnlyEndpointFailoverPolicy,
    ReadWriteEndpointFailoverPolicy,
    RecommendedActionCurrentState,
    RecommendedActionInitiatedBy,
    RecommendedSensitivityLabelUpdateKind,
    ReplicaConnectedState,
    ReplicaSynchronizationHealth,
    ReplicaType,
    ReplicationLinkType,
    ReplicationModeType,
    ReplicationRole,
    ReplicationState,
    RestoreDetailsName,
    RestorePointType,
    RoleChangeType,
    RuleSeverity,
    RuleStatus,
    RuleType,
    SampleName,
    SecondaryInstanceType,
    SecondaryType,
    SecurityAlertPolicyName,
    SecurityAlertPolicyNameAutoGenerated,
    SecurityAlertPolicyState,
    SecurityAlertsPolicyState,
    SecurityEventType,
    SeedingModeType,
    SensitivityLabelRank,
    SensitivityLabelSource,
    SensitivityLabelUpdateKind,
    ServerConfigurationOptionName,
    ServerConnectionType,
    ServerKeyType,
    ServerNetworkAccessFlag,
    ServerPublicNetworkAccessFlag,
    ServerTrustGroupPropertiesTrustScopesItem,
    ServerWorkspaceFeature,
    ServicePrincipalType,
    ShortTermRetentionPolicyName,
    SqlAgentConfigurationPropertiesState,
    SqlVulnerabilityAssessmentName,
    SqlVulnerabilityAssessmentState,
    StartStopScheduleName,
    StorageCapabilityStorageAccountType,
    StorageKeyType,
    SyncAgentState,
    SyncConflictResolutionPolicy,
    SyncDirection,
    SyncGroupLogType,
    SyncGroupState,
    SyncGroupsType,
    SyncMemberDbType,
    SyncMemberState,
    TableTemporalType,
    TransparentDataEncryptionName,
    TransparentDataEncryptionState,
    VirtualNetworkRuleState,
    VulnerabilityAssessmentName,
    VulnerabilityAssessmentPolicyBaselineName,
    VulnerabilityAssessmentScanState,
    VulnerabilityAssessmentScanTriggerType,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AdministratorListResult",
    "Advisor",
    "AdvisorAutoGenerated",
    "AutoPauseDelayTimeRange",
    "AutomaticTuningOptions",
    "AutomaticTuningServerOptions",
    "AzureADOnlyAuthListResult",
    "BackupShortTermRetentionPolicy",
    "BackupShortTermRetentionPolicyListResult",
    "Baseline",
    "BaselineAdjustedResult",
    "BenchmarkReference",
    "CertificateInfo",
    "ChangeLongTermRetentionBackupAccessTierParameters",
    "CheckNameAvailabilityRequest",
    "CheckNameAvailabilityResponse",
    "CompleteDatabaseRestoreDefinition",
    "CopyLongTermRetentionBackupParameters",
    "CreateDatabaseRestorePointDefinition",
    "DataMaskingPolicy",
    "DataMaskingRule",
    "DataMaskingRuleListResult",
    "DataWarehouseUserActivities",
    "DataWarehouseUserActivitiesListResult",
    "Database",
    "DatabaseAdvancedThreatProtection",
    "DatabaseAdvancedThreatProtectionListResult",
    "DatabaseAutomaticTuning",
    "DatabaseBlobAuditingPolicy",
    "DatabaseBlobAuditingPolicyListResult",
    "DatabaseColumn",
    "DatabaseColumnListResult",
    "DatabaseExtensions",
    "DatabaseIdentity",
    "DatabaseKey",
    "DatabaseListResult",
    "DatabaseOperation",
    "DatabaseOperationListResult",
    "DatabaseSchema",
    "DatabaseSchemaListResult",
    "DatabaseSecurityAlertListResult",
    "DatabaseSecurityAlertPolicy",
    "DatabaseSqlVulnerabilityAssessmentBaselineSet",
    "DatabaseSqlVulnerabilityAssessmentBaselineSetListResult",
    "DatabaseSqlVulnerabilityAssessmentRuleBaseline",
    "DatabaseSqlVulnerabilityAssessmentRuleBaselineInput",
    "DatabaseSqlVulnerabilityAssessmentRuleBaselineListInput",
    "DatabaseSqlVulnerabilityAssessmentRuleBaselineListResult",
    "DatabaseTable",
    "DatabaseTableListResult",
    "DatabaseUpdate",
    "DatabaseUsage",
    "DatabaseUsageListResult",
    "DatabaseUserIdentity",
    "DatabaseVulnerabilityAssessment",
    "DatabaseVulnerabilityAssessmentListResult",
    "DatabaseVulnerabilityAssessmentRuleBaseline",
    "DatabaseVulnerabilityAssessmentRuleBaselineItem",
    "DatabaseVulnerabilityAssessmentScansExport",
    "DeletedServer",
    "DeletedServerListResult",
    "DistributedAvailabilityGroup",
    "DistributedAvailabilityGroupDatabase",
    "DistributedAvailabilityGroupSetRole",
    "DistributedAvailabilityGroupsFailoverRequest",
    "DistributedAvailabilityGroupsListResult",
    "EditionCapability",
    "ElasticPool",
    "ElasticPoolEditionCapability",
    "ElasticPoolListResult",
    "ElasticPoolOperation",
    "ElasticPoolOperationListResult",
    "ElasticPoolPerDatabaseMaxPerformanceLevelCapability",
    "ElasticPoolPerDatabaseMinPerformanceLevelCapability",
    "ElasticPoolPerDatabaseSettings",
    "ElasticPoolPerformanceLevelCapability",
    "ElasticPoolUpdate",
    "EncryptionProtector",
    "EncryptionProtectorListResult",
    "EndpointCertificate",
    "EndpointCertificateListResult",
    "EndpointDependency",
    "EndpointDetail",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "ExportDatabaseDefinition",
    "ExtendedDatabaseBlobAuditingPolicy",
    "ExtendedDatabaseBlobAuditingPolicyListResult",
    "ExtendedServerBlobAuditingPolicy",
    "ExtendedServerBlobAuditingPolicyListResult",
    "FailoverGroup",
    "FailoverGroupListResult",
    "FailoverGroupReadOnlyEndpoint",
    "FailoverGroupReadWriteEndpoint",
    "FailoverGroupUpdate",
    "FirewallRule",
    "FirewallRuleList",
    "FirewallRuleListResult",
    "FreeLimitExhaustionBehaviorCapability",
    "GeoBackupPolicy",
    "GeoBackupPolicyListResult",
    "IPv6FirewallRule",
    "IPv6FirewallRuleListResult",
    "ImportExistingDatabaseDefinition",
    "ImportExportExtensionsOperationListResult",
    "ImportExportExtensionsOperationResult",
    "ImportExportOperationResult",
    "ImportNewDatabaseDefinition",
    "InstanceFailoverGroup",
    "InstanceFailoverGroupListResult",
    "InstanceFailoverGroupReadOnlyEndpoint",
    "InstanceFailoverGroupReadWriteEndpoint",
    "InstancePool",
    "InstancePoolEditionCapability",
    "InstancePoolFamilyCapability",
    "InstancePoolListResult",
    "InstancePoolOperation",
    "InstancePoolOperationListResult",
    "InstancePoolUpdate",
    "InstancePoolVcoresCapability",
    "Job",
    "JobAgent",
    "JobAgentEditionCapability",
    "JobAgentIdentity",
    "JobAgentListResult",
    "JobAgentServiceLevelObjectiveCapability",
    "JobAgentUpdate",
    "JobAgentUserAssignedIdentity",
    "JobAgentVersionCapability",
    "JobCredential",
    "JobCredentialListResult",
    "JobExecution",
    "JobExecutionListResult",
    "JobExecutionTarget",
    "JobListResult",
    "JobPrivateEndpoint",
    "JobPrivateEndpointListResult",
    "JobSchedule",
    "JobStep",
    "JobStepAction",
    "JobStepExecutionOptions",
    "JobStepListResult",
    "JobStepOutput",
    "JobTarget",
    "JobTargetGroup",
    "JobTargetGroupListResult",
    "JobVersion",
    "JobVersionListResult",
    "LedgerDigestUploads",
    "LedgerDigestUploadsListResult",
    "LicenseTypeCapability",
    "LocationCapabilities",
    "LogSizeCapability",
    "LogicalDatabaseTransparentDataEncryption",
    "LogicalDatabaseTransparentDataEncryptionListResult",
    "LogicalServerAdvancedThreatProtectionListResult",
    "LogicalServerSecurityAlertPolicyListResult",
    "LongTermRetentionBackup",
    "LongTermRetentionBackupListResult",
    "LongTermRetentionBackupOperationResult",
    "LongTermRetentionPolicy",
    "LongTermRetentionPolicyListResult",
    "MaintenanceConfigurationCapability",
    "MaintenanceWindowOptions",
    "MaintenanceWindowTimeRange",
    "MaintenanceWindows",
    "ManagedBackupShortTermRetentionPolicy",
    "ManagedBackupShortTermRetentionPolicyListResult",
    "ManagedDatabase",
    "ManagedDatabaseAdvancedThreatProtection",
    "ManagedDatabaseAdvancedThreatProtectionListResult",
    "ManagedDatabaseListResult",
    "ManagedDatabaseMoveDefinition",
    "ManagedDatabaseMoveOperationListResult",
    "ManagedDatabaseMoveOperationResult",
    "ManagedDatabaseRestoreDetailsBackupSetProperties",
    "ManagedDatabaseRestoreDetailsResult",
    "ManagedDatabaseRestoreDetailsUnrestorableFileProperties",
    "ManagedDatabaseSecurityAlertPolicy",
    "ManagedDatabaseSecurityAlertPolicyListResult",
    "ManagedDatabaseStartMoveDefinition",
    "ManagedDatabaseUpdate",
    "ManagedInstance",
    "ManagedInstanceAdministrator",
    "ManagedInstanceAdministratorListResult",
    "ManagedInstanceAdvancedThreatProtection",
    "ManagedInstanceAdvancedThreatProtectionListResult",
    "ManagedInstanceAzureADOnlyAuthListResult",
    "ManagedInstanceAzureADOnlyAuthentication",
    "ManagedInstanceDtc",
    "ManagedInstanceDtcListResult",
    "ManagedInstanceDtcSecuritySettings",
    "ManagedInstanceDtcTransactionManagerCommunicationSettings",
    "ManagedInstanceEditionCapability",
    "ManagedInstanceEncryptionProtector",
    "ManagedInstanceEncryptionProtectorListResult",
    "ManagedInstanceExternalAdministrator",
    "ManagedInstanceFamilyCapability",
    "ManagedInstanceKey",
    "ManagedInstanceKeyListResult",
    "ManagedInstanceListResult",
    "ManagedInstanceLongTermRetentionBackup",
    "ManagedInstanceLongTermRetentionBackupListResult",
    "ManagedInstanceLongTermRetentionPolicy",
    "ManagedInstanceLongTermRetentionPolicyListResult",
    "ManagedInstanceMaintenanceConfigurationCapability",
    "ManagedInstanceOperation",
    "ManagedInstanceOperationListResult",
    "ManagedInstanceOperationParametersPair",
    "ManagedInstanceOperationSteps",
    "ManagedInstancePairInfo",
    "ManagedInstancePecProperty",
    "ManagedInstancePrivateEndpointConnection",
    "ManagedInstancePrivateEndpointConnectionListResult",
    "ManagedInstancePrivateEndpointConnectionProperties",
    "ManagedInstancePrivateEndpointProperty",
    "ManagedInstancePrivateLink",
    "ManagedInstancePrivateLinkListResult",
    "ManagedInstancePrivateLinkProperties",
    "ManagedInstancePrivateLinkServiceConnectionStateProperty",
    "ManagedInstanceQuery",
    "ManagedInstanceQueryStatistics",
    "ManagedInstanceUpdate",
    "ManagedInstanceVcoresCapability",
    "ManagedInstanceVersionCapability",
    "ManagedInstanceVulnerabilityAssessment",
    "ManagedInstanceVulnerabilityAssessmentListResult",
    "ManagedLedgerDigestUploads",
    "ManagedLedgerDigestUploadsListResult",
    "ManagedServerDnsAlias",
    "ManagedServerDnsAliasAcquisition",
    "ManagedServerDnsAliasCreation",
    "ManagedServerDnsAliasListResult",
    "ManagedServerSecurityAlertPolicy",
    "ManagedServerSecurityAlertPolicyListResult",
    "ManagedTransparentDataEncryption",
    "ManagedTransparentDataEncryptionListResult",
    "MaxLimitRangeCapability",
    "MaxSizeCapability",
    "MaxSizeRangeCapability",
    "MinCapacityCapability",
    "NSPConfigAccessRule",
    "NSPConfigAccessRuleProperties",
    "NSPConfigAssociation",
    "NSPConfigNetworkSecurityPerimeterRule",
    "NSPConfigPerimeter",
    "NSPConfigProfile",
    "NSPProvisioningIssue",
    "NSPProvisioningIssueProperties",
    "Name",
    "NetworkIsolationSettings",
    "NetworkSecurityPerimeterConfiguration",
    "NetworkSecurityPerimeterConfigurationListResult",
    "Operation",
    "OperationDisplay",
    "OperationListResult",
    "OutboundEnvironmentEndpoint",
    "OutboundEnvironmentEndpointCollection",
    "OutboundFirewallRule",
    "OutboundFirewallRuleListResult",
    "PartnerInfo",
    "PartnerRegionInfo",
    "PerDatabaseAutoPauseDelayTimeRange",
    "PerformanceLevelCapability",
    "PhaseDetails",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateEndpointConnectionProperties",
    "PrivateEndpointConnectionRequestStatus",
    "PrivateEndpointProperty",
    "PrivateLinkResource",
    "PrivateLinkResourceListResult",
    "PrivateLinkResourceProperties",
    "PrivateLinkServiceConnectionStateProperty",
    "ProxyResource",
    "ProxyResourceWithWritableName",
    "QueryCheck",
    "QueryMetricInterval",
    "QueryMetricProperties",
    "QueryStatistics",
    "QueryStatisticsProperties",
    "ReadScaleCapability",
    "RecommendedAction",
    "RecommendedActionAutoGenerated",
    "RecommendedActionErrorInfo",
    "RecommendedActionImpactRecord",
    "RecommendedActionImplementationInfo",
    "RecommendedActionMetricInfo",
    "RecommendedActionStateInfo",
    "RecommendedSensitivityLabelUpdate",
    "RecommendedSensitivityLabelUpdateList",
    "RecoverableDatabase",
    "RecoverableDatabaseListResult",
    "RecoverableManagedDatabase",
    "RecoverableManagedDatabaseListResult",
    "RefreshExternalGovernanceStatusOperationResult",
    "RefreshExternalGovernanceStatusOperationResultMI",
    "Remediation",
    "ReplicationLink",
    "ReplicationLinkListResult",
    "ReplicationLinkUpdate",
    "Resource",
    "ResourceIdentity",
    "ResourceMoveDefinition",
    "ResourceWithWritableName",
    "RestorableDroppedDatabase",
    "RestorableDroppedDatabaseListResult",
    "RestorableDroppedManagedDatabase",
    "RestorableDroppedManagedDatabaseListResult",
    "RestorePoint",
    "RestorePointListResult",
    "SQLVulnerabilityAssessmentScanListResult",
    "ScheduleItem",
    "SecurityEvent",
    "SecurityEventCollection",
    "SecurityEventSqlInjectionAdditionalProperties",
    "SecurityEventsFilterParameters",
    "SensitivityLabel",
    "SensitivityLabelListResult",
    "SensitivityLabelUpdate",
    "SensitivityLabelUpdateList",
    "Server",
    "ServerAdvancedThreatProtection",
    "ServerAutomaticTuning",
    "ServerAzureADAdministrator",
    "ServerAzureADOnlyAuthentication",
    "ServerBlobAuditingPolicy",
    "ServerBlobAuditingPolicyListResult",
    "ServerConfigurationOption",
    "ServerConfigurationOptionListResult",
    "ServerConnectionPolicy",
    "ServerConnectionPolicyListResult",
    "ServerDevOpsAuditSettingsListResult",
    "ServerDevOpsAuditingSettings",
    "ServerDnsAlias",
    "ServerDnsAliasAcquisition",
    "ServerDnsAliasListResult",
    "ServerExternalAdministrator",
    "ServerInfo",
    "ServerKey",
    "ServerKeyListResult",
    "ServerListResult",
    "ServerOperation",
    "ServerOperationListResult",
    "ServerPrivateEndpointConnection",
    "ServerSecurityAlertPolicy",
    "ServerTrustCertificate",
    "ServerTrustCertificatesListResult",
    "ServerTrustGroup",
    "ServerTrustGroupListResult",
    "ServerUpdate",
    "ServerUsage",
    "ServerUsageListResult",
    "ServerVersionCapability",
    "ServerVulnerabilityAssessment",
    "ServerVulnerabilityAssessmentListResult",
    "ServiceObjectiveCapability",
    "ServicePrincipal",
    "Sku",
    "SqlAgentConfiguration",
    "SqlVulnerabilityAssessment",
    "SqlVulnerabilityAssessmentListResult",
    "SqlVulnerabilityAssessmentScanError",
    "SqlVulnerabilityAssessmentScanRecord",
    "SqlVulnerabilityAssessmentScanRecordListResult",
    "SqlVulnerabilityAssessmentScanResults",
    "StartStopManagedInstanceSchedule",
    "StartStopManagedInstanceScheduleListResult",
    "StorageCapability",
    "SubscriptionUsage",
    "SubscriptionUsageListResult",
    "SynapseLinkWorkspace",
    "SynapseLinkWorkspaceInfoProperties",
    "SynapseLinkWorkspaceListResult",
    "SyncAgent",
    "SyncAgentKeyProperties",
    "SyncAgentLinkedDatabase",
    "SyncAgentLinkedDatabaseListResult",
    "SyncAgentListResult",
    "SyncDatabaseIdListResult",
    "SyncDatabaseIdProperties",
    "SyncFullSchemaProperties",
    "SyncFullSchemaPropertiesListResult",
    "SyncFullSchemaTable",
    "SyncFullSchemaTableColumn",
    "SyncGroup",
    "SyncGroupListResult",
    "SyncGroupLogListResult",
    "SyncGroupLogProperties",
    "SyncGroupSchema",
    "SyncGroupSchemaTable",
    "SyncGroupSchemaTableColumn",
    "SyncMember",
    "SyncMemberListResult",
    "SystemData",
    "TdeCertificate",
    "TimeZone",
    "TimeZoneListResult",
    "TopQueries",
    "TopQueriesListResult",
    "TrackedResource",
    "UpdateLongTermRetentionBackupParameters",
    "UpdateVirtualClusterDnsServersOperation",
    "UpsertManagedServerOperationParameters",
    "UpsertManagedServerOperationStepWithEstimatesAndDuration",
    "Usage",
    "UsageListResult",
    "UserIdentity",
    "VaRule",
    "VirtualCluster",
    "VirtualClusterListResult",
    "VirtualClusterUpdate",
    "VirtualNetworkRule",
    "VirtualNetworkRuleListResult",
    "VulnerabilityAssessmentRecurringScansProperties",
    "VulnerabilityAssessmentScanError",
    "VulnerabilityAssessmentScanRecord",
    "VulnerabilityAssessmentScanRecordListResult",
    "WorkloadClassifier",
    "WorkloadClassifierListResult",
    "WorkloadGroup",
    "WorkloadGroupListResult",
    "ZonePinningCapability",
    "AdministratorName",
    "AdministratorType",
    "AdvancedThreatProtectionName",
    "AdvancedThreatProtectionState",
    "AdvisorStatus",
    "AggregationFunctionType",
    "AlwaysEncryptedEnclaveType",
    "AuthMetadataLookupModes",
    "AuthenticationName",
    "AutoExecuteStatus",
    "AutoExecuteStatusInheritedFrom",
    "AutomaticTuningDisabledReason",
    "AutomaticTuningMode",
    "AutomaticTuningOptionModeActual",
    "AutomaticTuningOptionModeDesired",
    "AutomaticTuningServerMode",
    "AutomaticTuningServerReason",
    "AvailabilityZoneType",
    "BackupStorageAccessTier",
    "BackupStorageRedundancy",
    "BaselineName",
    "BlobAuditingPolicyState",
    "CapabilityGroup",
    "CapabilityStatus",
    "CatalogCollationType",
    "CheckNameAvailabilityReason",
    "ClientClassificationSource",
    "ColumnDataType",
    "ConnectionPolicyName",
    "CreateMode",
    "CreatedByType",
    "DNSRefreshOperationStatus",
    "DataMaskingFunction",
    "DataMaskingPolicyName",
    "DataMaskingRuleState",
    "DataMaskingState",
    "DataWarehouseUserActivityName",
    "DatabaseIdentityType",
    "DatabaseKeyType",
    "DatabaseLicenseType",
    "DatabaseReadScale",
    "DatabaseState",
    "DatabaseStatus",
    "DayOfWeek",
    "DevOpsAuditingSettingsName",
    "DiffBackupIntervalInHours",
    "DtcName",
    "ElasticPoolLicenseType",
    "ElasticPoolState",
    "EncryptionProtectorName",
    "ErrorType",
    "ExternalGovernanceStatus",
    "FailoverGroupDatabasesSecondaryType",
    "FailoverGroupReplicationRole",
    "FailoverModeType",
    "FailoverType",
    "FreeLimitExhaustionBehavior",
    "GeoBackupPolicyName",
    "GeoBackupPolicyState",
    "HybridSecondaryUsage",
    "HybridSecondaryUsageDetected",
    "IdentityType",
    "ImplementationMethod",
    "InstanceFailoverGroupReplicationRole",
    "InstancePoolLicenseType",
    "InstanceRole",
    "IsRetryable",
    "JobAgentIdentityType",
    "JobAgentState",
    "JobExecutionLifecycle",
    "JobScheduleType",
    "JobStepActionSource",
    "JobStepActionType",
    "JobStepOutputType",
    "JobTargetGroupMembershipType",
    "JobTargetType",
    "LedgerDigestUploadsName",
    "LedgerDigestUploadsState",
    "LinkRole",
    "LogSizeUnit",
    "LongTermRetentionPolicyName",
    "ManagedDatabaseCreateMode",
    "ManagedDatabaseStatus",
    "ManagedInstanceAdministratorType",
    "ManagedInstanceDatabaseFormat",
    "ManagedInstanceLicenseType",
    "ManagedInstanceLongTermRetentionPolicyName",
    "ManagedInstanceProxyOverride",
    "ManagedLedgerDigestUploadsName",
    "ManagedLedgerDigestUploadsState",
    "ManagedServerCreateMode",
    "ManagedShortTermRetentionPolicyName",
    "ManagementOperationState",
    "ManagementOperationStepState",
    "MaxSizeUnit",
    "MetricType",
    "MinimalTlsVersion",
    "MoveOperationMode",
    "OperationMode",
    "OperationOrigin",
    "PauseDelayTimeUnit",
    "PerformanceLevelUnit",
    "Phase",
    "PricingModel",
    "PrincipalType",
    "PrivateEndpointProvisioningState",
    "PrivateLinkServiceConnectionStateActionsRequire",
    "PrivateLinkServiceConnectionStateStatus",
    "ProvisioningState",
    "QueryMetricUnitType",
    "QueryTimeGrainType",
    "ReadOnlyEndpointFailoverPolicy",
    "ReadWriteEndpointFailoverPolicy",
    "RecommendedActionCurrentState",
    "RecommendedActionInitiatedBy",
    "RecommendedSensitivityLabelUpdateKind",
    "ReplicaConnectedState",
    "ReplicaSynchronizationHealth",
    "ReplicaType",
    "ReplicationLinkType",
    "ReplicationModeType",
    "ReplicationRole",
    "ReplicationState",
    "RestoreDetailsName",
    "RestorePointType",
    "RoleChangeType",
    "RuleSeverity",
    "RuleStatus",
    "RuleType",
    "SampleName",
    "SecondaryInstanceType",
    "SecondaryType",
    "SecurityAlertPolicyName",
    "SecurityAlertPolicyNameAutoGenerated",
    "SecurityAlertPolicyState",
    "SecurityAlertsPolicyState",
    "SecurityEventType",
    "SeedingModeType",
    "SensitivityLabelRank",
    "SensitivityLabelSource",
    "SensitivityLabelUpdateKind",
    "ServerConfigurationOptionName",
    "ServerConnectionType",
    "ServerKeyType",
    "ServerNetworkAccessFlag",
    "ServerPublicNetworkAccessFlag",
    "ServerTrustGroupPropertiesTrustScopesItem",
    "ServerWorkspaceFeature",
    "ServicePrincipalType",
    "ShortTermRetentionPolicyName",
    "SqlAgentConfigurationPropertiesState",
    "SqlVulnerabilityAssessmentName",
    "SqlVulnerabilityAssessmentState",
    "StartStopScheduleName",
    "StorageCapabilityStorageAccountType",
    "StorageKeyType",
    "SyncAgentState",
    "SyncConflictResolutionPolicy",
    "SyncDirection",
    "SyncGroupLogType",
    "SyncGroupState",
    "SyncGroupsType",
    "SyncMemberDbType",
    "SyncMemberState",
    "TableTemporalType",
    "TransparentDataEncryptionName",
    "TransparentDataEncryptionState",
    "VirtualNetworkRuleState",
    "VulnerabilityAssessmentName",
    "VulnerabilityAssessmentPolicyBaselineName",
    "VulnerabilityAssessmentScanState",
    "VulnerabilityAssessmentScanTriggerType",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
